> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-fix-875-html-entity-rendering.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/scans

> Retrieve Canton scan configuration for all SVs, grouped by
connected synchronizer ID




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/scans
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/scans:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/scans
      description: |
        Retrieve Canton scan configuration for all SVs, grouped by
        connected synchronizer ID
      operationId: listDsoScans
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDsoScansResponse'
components:
  schemas:
    ListDsoScansResponse:
      type: object
      required:
        - scans
      properties:
        scans:
          type: array
          items:
            $ref: '#/components/schemas/DomainScans'
    DomainScans:
      type: object
      required:
        - domainId
        - scans
      properties:
        domainId:
          type: string
        scans:
          description: |
            SV scans for the associated synchronizer ID; there is at most one
            scan per SV for each synchronizer ID.
          type: array
          items:
            $ref: '#/components/schemas/ScanInfo'
    ScanInfo:
      type: object
      required:
        - publicUrl
        - svName
      properties:
        publicUrl:
          description: The public accessible url of the scan.
          type: string
        svName:
          description: The sequencer's operating SV name.
          type: string

````